<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.portal.vulcan.internal.graphql.servlet.GraphQLServletExtender" immediate="true" activate="activate" deactivate="deactivate">
  <reference name="_configurationAdmin" interface="org.osgi.service.cm.ConfigurationAdmin" field="_configurationAdmin"/>
  <reference name="_configurationProvider" interface="com.liferay.portal.kernel.module.configuration.ConfigurationProvider" field="_configurationProvider"/>
  <reference name="_liferayMethodDataFetchingProcessor" interface="com.liferay.portal.vulcan.internal.graphql.data.processor.LiferayMethodDataFetchingProcessor" field="_liferayMethodDataFetchingProcessor"/>
  <implementation class="com.liferay.portal.vulcan.internal.graphql.servlet.GraphQLServletExtender"/>
</scr:component>
